Get transcript
curl --request GET \
--url https://api.supernormal.com/api/v1/recordings/{id}/transcript \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.supernormal.com/api/v1/recordings/{id}/transcript"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.supernormal.com/api/v1/recordings/{id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"start": 123,
"end": 123,
"content": "<string>",
"original_speaker": "<string>",
"assigned_speaker_name": "<string>",
"author_name": "<string>"
}
]Recordings
Get transcript
Returns the transcript for a recording
GET
/
recordings
/
{id}
/
transcript
Get transcript
Authorizations
Path Parameters
The ID of the recording
Response
200 - application/json
Transcript response
Start time in seconds
End time in seconds
The spoken text
The speaker label as detected by the transcription engine
The speaker name after manual or automatic speaker assignment
The resolved speaker name (assigned name if available, otherwise original speaker)